Bug 844751 - RepoContentUnit stores dates without timezone
RepoContentUnit stores dates without timezone
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity medium
: ---
: Sprint 39
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On: 873450
Blocks: 860693
  Show dependency treegraph
 
Reported: 2012-07-31 11:59 EDT by Michael Hrivnak
Modified: 2013-09-09 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:09:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2012-07-31 11:59:48 EDT
Description of problem:
When RepoContentUnits are created via a sync operation, the 'created' and 'updated' attributes are stored as ISO8601 strings without timezone data.

Version-Release number of selected component (if applicable):
latest

How reproducible:
sync a repository, look at these attributes on new RepoContentUnit objects.


Actual results:
'2012-07-31T09:43:15'

Expected results:
'2012-07-31T09:43:15-04:00' or '2012-07-31T13:43:15+00:00' or '2012-07-31T13:43:15Z'
Comment 1 Jay Dobies 2012-09-06 16:48:31 EDT
commit 78caab1c0c228dde9003cd2e955c8477fcd9c26b
Merge: b9e1bef 36073e3
Author: Jason Dobies <jason.dobies@redhat.com>
Date:   Thu Sep 6 13:43:01 2012 -0700

    Merge pull request #38 from pulp/mhrivnak-bz844751
    
    844751 - now storing repo create time in UTC
Comment 2 Jeff Ortel 2012-09-11 09:31:41 EDT
build: 0.327
Comment 3 Preethi Thomas 2012-11-05 16:40:12 EST
verification steps


<mhrivnak> I think the info you want should be available by running a command like this: pulp-admin rpm repo content rpm --repo-id=pulp --details

<mhrivnak> I think once that is fixed, you will be able to see the timestamps for each repo->content unit association, and thus see if the timezone is there or not.
Comment 4 Preethi Thomas 2012-12-14 09:30:07 EST
verified

[root@preethi ~]# rpm -q pulp-server
pulp-server-2.0.6-0.17.beta.noarch
[root@preethi ~]# 

[root@preethi ~]#  pulp-admin rpm repo content rpm --repo-id=zoo --details |more
Metadata:     
  Arch:         noarch
  Buildhost:    smqe-ws15
  Checksum:     7a831f9f90bf4d21027572cb503d20b702de8e8785b02c0397445c2e481d81b3
  Checksumtype: sha256
  Description:  A dummy package of bear
  Epoch:        0
  Filename:     bear-4.1-1.noarch.rpm
  License:      GPLv2
  Name:         bear
  Provides:     [[u'bear', u'EQ', [u'0', u'4.1', u'1']]]
  Release:      1
  Requires:     
  Vendor:       
  Version:      4.1
Created:      2012-12-14T19:29:28Z
Id:           50cb37c8758cc92178000f1a
Owner Id:     yum_importer
Owner Type:   importer
Repo Id:      zoo
Unit Id:      04930873-a4e2-4f8e-8108-81a4f5f20084
Unit Type Id: rpm
Updated:      2012-12-14T19:29:28Z
Comment 5 Preethi Thomas 2013-01-09 12:09:41 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.